Summary: Sinclair ZX Spectrum emulator
Name: spectemu
Version: 0.81
Release: 2
Copyright: GPL
ExclusiveArch: i386
Group: Applications/Emulators
Source: sunsite.unc.edu:/pub/Linux/system/emulators/spectemu-0.81.tar.gz

%description
This package contains a 48k ZX-Spectrum emulator for Linux, with full Z80 instruction set, comprehensive screen, sound and tape emulation, and snapshot file saving and loading.

%package -n xspectemu
Summary: Parts of spectemu designed to run under X
Group: Applications/Emulators
Requires: spectemu = 0.81

%description -n xspectemu
This is a version of the ZX-Spectrum emulator that is designed to run under X window.

%prep
%setup

%build
make
cd utils
make
cd spconv
make
cp author.doc ../../author.spconv
cp history.doc ../../history.spconv

%install
install -s -m 4755 -o root -g root vgaspect /usr/bin
install -s -m 755 -o root -g root utils/filt utils/recs utils/spload /usr/bin
install -s -m 755 -o root -g root utils/spconv/spconv /usr/bin
install -s -m 755 -o root -g root xspect /usr/X11R6/bin
install -s -m 644 -o root -g root specsinc.xpm /usr/X11R6/include/X11/pixmaps

%files
%doc README TODO spectkey.gif spectemu.lsm author.spconv history.spconv
/usr/bin/vgaspect
/usr/bin/filt
/usr/bin/recs
/usr/bin/spload
/usr/bin/spconv

%files -n xspectemu
/usr/X11R6/bin/xspect
/usr/X11R6/include/X11/pixmaps/specsinc.xpm
